# Method: projects.locations.orders.requestDateChange

- [HTTP request](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/requestDateChange#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/requestDateChange#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/requestDateChange#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/requestDateChange#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/requestDateChange#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/requestDateChange#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/requestDateChange#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/distributed-cloud/connected/1.10.0/docs/reference/hardware/rest/v1alpha/projects.locations.orders/requestDateChange#try-it)

Updates the requested date change of a single Order.

### HTTP request

`POST https://gdchardwaremanagement.googleapis.com/v1alpha/{name=projects/*/locations/*/orders/*}:requestDateChange`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the order to update. Format: projects/{project}/locations/{location}/orders/{order} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requestedDate": { object (`https://docs.cloud.google.com/distributed-cloud/edge/1.10.0/docs/reference/hardware/rest/v1alpha/Date`) } } ``` |

| Fields ||
|---|---|
| `requestedDate` | ``object (`https://docs.cloud.google.com/distributed-cloud/edge/1.10.0/docs/reference/hardware/rest/v1alpha/Date`)`` Required. The date to which the customer or Google wants to set the scheduled installation date. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/distributed-cloud/edge/1.10.0/docs/reference/hardware/rest/v1alpha/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `gdchardwaremanagement.orders.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).